"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TxOutboxMessageFactory = void 0;
const TxOutboxMessageFactory = ({ registry, }) => ({
    createOutboxMessage: async ({ key, value, headers, partition, timestamp, topic, keySchemaId, valueSchemaId, }) => {
        const keyP = key ? registry.encode(keySchemaId, key) : undefined;
        const valueP = registry.encode(valueSchemaId, value);
        const keyBinary = keyP ? await keyP : undefined;
        const valueBinary = await valueP;
        return {
            topic,
            key: keyBinary?.toString("base64"),
            value: valueBinary.toString("base64"),
            headers,
            partition,
            timestamp,
        };
    },
});
exports.TxOutboxMessageFactory = TxOutboxMessageFactory;
